Страница 1 из 1

Обновился с 6.1 на 7.2. проблемы....

Добавлено: 2009-09-12 0:44:33
BECHA
пытаюсь обновится с 6.1 на 7.2. через cvsup обновил исходники мира и ядра, собрал мир, пытаюсь собрать GENERIC ядро

Код: Выделить всё

cd /usr/src; make kernel KERNCONF=GENERIC
растет объем папки /boot/kernel и процесс сборки вылетает из-за переполненения системы. как решить проблему?

PS при попытке обновить систему из папки conf вылетает ошибка:

Код: Выделить всё

cd /usr/src/sys/i386/conf/; config GENERIC
ERROR: version of config(8) does not match kernel!
config version = 600003, version required = 600004

Make sure that /usr/src/usr.sbin/config is in sync
with your /usr/src/sys and install a new config binary
before trying this again.

If running the new config fails check your config
file against the GENERIC or LINT config files for
changes in config syntax, or option/device naming
conventions

Re: обновляюсь с 6.1 на 7.2. проблемы....

Добавлено: 2009-09-12 3:25:47
paradox
криво обновил а теперь у тебя все рассинхронизировано
ядро не соответсвует миру

Re: обновляюсь с 6.1 на 7.2. проблемы....

Добавлено: 2009-09-12 9:22:44
BECHA
paradox писал(а):криво обновил а теперь у тебя все рассинхронизировано
ядро не соответсвует миру

вобщем выкинул из ядра опцию DEBUG=-g и все собралось и заработало.

НО! Перестал работать MPD-3.18 который использовался для доступа в сеть и раздачи инета внутри домашней сети. Очень приятная ситуация образовалась - порты просят доступ в сеть, а ее нет. Как в "правильной ОС" обойти эту проблему? В "неправильной ОС" насколько я помню клиент VPN работает всегда и сразу.

PS может имело смысл перед обновление сорцов обновить порты и сделать make patch для mpd5 например?

PPS а сейчас mpd5 ругается

Код: Выделить всё

making all in tools...
===>  Installing for openssl-0.9.8g
===>   Generating temporary packing list
===>  Checking if security/openssl already installed
===>   openssl-0.9.8g is already installed
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of security/openssl
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1

Stop in /usr/ports/security/openssl.
*** Error code 1
переустановка openssl не помогает.....